Class | Resolv::DNS::Resource::MINFO
In: | resolv.rb
Parent: | Resource

### Methods

decode_rdata encode_rdata new

### Constants

TypeValue | = | 14

### Attributes

emailbx | [R] |
rmailbx | [R] |

### Public Class methods

decode_rdata(msg)

[Source]

    # File resolv.rb, line 1525
            def self.decode_rdata(msg)
              rmailbx = msg.get_string
              emailbx = msg.get_string
              return self.new(rmailbx, emailbx)
            end

new(rmailbx, emailbx)

[Source]

    # File resolv.rb, line 1514
            def initialize(rmailbx, emailbx)
              @rmailbx = rmailbx
              @emailbx = emailbx
            end

### Public Instance methods

encode_rdata(msg)

[Source]

    # File resolv.rb, line 1520
            def encode_rdata(msg)
              msg.put_name(@rmailbx)
              msg.put_name(@emailbx)
            end

[Validate]